declare type QueryParams = {
    select?: string;
    join?: string;
    where?: string;
};
export default abstract class SQLiteMobxModel<T extends {
    id: number;
}> {
    timestamp: number;
    abstract table: string;
    abstract data: T[];
    loadItems(params?: QueryParams): Promise<void>;
    setItems(items: T[]): Promise<void>;
    addItems(items: T[]): Promise<void>;
    addItem(item: T): Promise<void>;
    setItem(item: T): Promise<void>;
    getItem(id: number): Promise<void>;
    editItem(item: T): Promise<void>;
    removeItem(item: T): Promise<void>;
    updateTimestamp(): void;
}
export {};
//# sourceMappingURL=SQLiteMobxModel.d.ts.map